API Reference
Wallet

Cursor-paginated ledger

GET
/v1/wallet/statements

Authorization

bearerAuth
AuthorizationBearer <token>

Long-lived ES256 JWT minted from the dashboard (https://app.sautikit.com/developers/api-keys). Signed by the platform keyring. Carries workspace_id and scopes claims; revoked via the platform deny-list.

In: header

Query Parameters

kind?string

CSV of LedgerKind values

from?string
Formatdate-time
to?string
Formatdate-time
q?string
cursor?string
limit?integer
Range1 <= value <= 200

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/wallet/statements"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "topup",      "amount_minor": 0,      "currency": "string",      "balance_after_minor": 0,      "reference": "string",      "reverses_id": "string",      "metadata": {},      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}
{  "error": {    "code": "validation.bad_request",    "message": "string",    "request_id": "string"  }}